<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Appointment;
use App\Models\Message;
use App\Models\Prescription;
use Barryvdh\DomPDF\Facade\Pdf;

class DashboardController extends Controller
{

    public function show()
    {
       $appointments = Appointment::where('user_id', auth()->id())->orderBy('input_date')->get();
       $messages = Message::where('sender_id', auth()->id())->get();
       $prescriptions = Prescription::where('user_id', auth()->id())->orderBy('created_at')->get();
    
    $viewData = [];
    $viewData['appointments'] = $appointments;
    $viewData['messages'] = $messages;
    $viewData['prescriptions'] = $prescriptions;


        return view('dashboard')->with('viewData', $viewData);
    }

 

}
