// script.js
let deferredPrompt;

function showToast() {
    var toast = document.getElementById("toast");
    toast.style.display = "block";

    // Check if the beforeinstallprompt event is available
    if (deferredPrompt) {
        document.getElementById("installButton").style.display = "block";
    }

    setTimeout(function () {
        closeToast();
    }, 5000); // Adjust the time (in milliseconds) the toast will be displayed
}

function closeToast() {
    var toast = document.getElementById("toast");
    toast.style.display = "none";
}

// Event listener for beforeinstallprompt
window.addEventListener("beforeinstallprompt", (event) => {
    // Prevent the default browser prompt
    event.preventDefault();

    // Stash the event so it can be triggered later
    deferredPrompt = event;
});

document.getElementById("installButton").addEventListener("click", () => {
    // Show the browser's install prompt
    deferredPrompt.prompt();

    // Wait for the user to respond to the prompt
    deferredPrompt.userChoice.then((choiceResult) => {
        if (choiceResult.outcome === "accepted") {
            console.log("User accepted the install prompt");
        } else {
            console.log("User dismissed the install prompt");
        }

        // Reset the deferredPrompt variable
        deferredPrompt = null;

        // Hide the install button
        document.getElementById("installButton").style.display = "none";

        // Close the toast
        closeToast();
    });
});
