$(document).ready(function () {
    $("#searchForm").submit(function (e) {
        e.preventDefault();

        var query = $("#searchQuery").val();

        // Make an AJAX request to the search route
        $.ajax({
            type: "GET",
            url: "/admin/search",
            data: { query: query },
            success: function (data) {
                // Parse JSON if necessary
                data = typeof data === "string" ? JSON.parse(data) : data;

                // Update the search results on success
                displayResults(data);
            },
            error: function (error) {
                console.error("Error:", error);
            },
        });
    });

    function displayResults(results) {
        var resultsContainer = $("#searchResults");
        resultsContainer.empty();

        // Append each result to the container
        results.forEach(function (result) {
            resultsContainer.append(
                // "<a href={{route('admin.users.show',"+
                //     result.id+
                //     ")}}>" +
                //     result.name +
                //     "</a>"
                `<a href="/admin/users/${result.id}">${result.name}</a>`
            );
        });
    }
});
