// public/service-worker.js
const CACHE_NAME = "go-wilde-v1";
const urlsToCache = [
    "/",
    "/css/dashboard.css",
    "/js/app.js",
    // Add other static assets
];

self.addEventListener("install", (event) => {
    event.waitUntil(
        caches.open(CACHE_NAME).then((cache) => {
            return cache.addAll(urlsToCache);
        })
    );
});

self.addEventListener("fetch", (event) => {
    event.respondWith(
        caches.match(event.request).then((response) => {
            return response || fetch(event.request);
        })
    );
});
