@extends('layouts.admin')
@section('content')
<div class="overflow-hidden shadow-sm sm:rounded-lg bg-white rounded-lg p-6" x-show="activeTab === 'prescriptions'" x-transition x-cloak>
    <form action="{{ route('admin.prescriptions.store') }}" method="POST">
        @csrf
        @method('POST')

        <div class="max-w-md mx-auto">
            @include('partials._user-select')

            <div class="mb-6">
                <label for="medication" class="block mb-2 text-sm font-medium text-gray-900">Medication</label>
                <input type="text" id="medication" name="medication"
                    class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-200 focus:border-blue-300 block w-full p-2.5 font-san-serif"
                @error('medication')
                    <span class="text-red-500">{{ $message }}</span>
                @enderror
            </div>

            <div class="mb-6">
                <label for="instructions" class="block mb-2 text-sm font-medium text-gray-900">Instructions</label>
                <input type="text" id="instructions" name="instructions"
                    class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-200 focus:border-blue-300 block w-full p-2.5 font-san-serif"
                @error('instructions')
                    <span class="text-red-500">{{ $message }}</span>
                @enderror
            </div>

            <div class="mb-6">
                <label for="dosage" class="block mb-2 text-sm font-medium text-gray-900">Dosage</label>
                <input type="text" id="dosage" name="dosage"
                    class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-200 focus:border-blue-300 block w-full p-2.5 font-san-serif"
                @error('dosage')
                    <span class="text-red-500">{{ $message }}</span>
                @enderror
            </div>

            <div class="mb-6">
                <label for="frequency" class="block mb-2 text-sm font-medium text-gray-900">Frequency</label>
                <input type="text" id="frequency" name="frequency"
                    class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-200 focus:border-blue-300 block w-full p-2.5 font-san-serif"
                @error('frequency')
                    <span class="text-red-500">{{ $message }}</span>
                @enderror
            </div>

            <div>
                <div class="bg-white rounded-lg p-6 shadow">
                    <div class="grid w-full gap-6 md:grid-cols-2">
                            <input type="submit"
                                class="p-2 bg-green-600 text-green-100 mt-4 text-normal hover:bg-green-400 rounded w-full md:w-auto action-button"
                                value="Create Prescription" />
                            <a href="{{ route('admin.prescriptions.index') }}"
                                class="flex items-center justify-center mt-2 md:mt-0 font-bold text-xl hover:text-gray-500 w-full md:w-auto">
                                <svg class="w-6 h-6 text-gray-500 dark:text-white mr-2 action-icon" aria-hidden="true" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 14 10">
                                    <path stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M13 5H1m0 0 4 4M1 5l4-4"/>
                                </svg>
                                <!-- <i class="fa-solid fa-arrow-left"></i> Back -->
                            
                            </a>
                        </div>

                </div>
            </div>
        </div>
    </form>
</div>















@endsection