@extends('layouts.admin')
@section('content')
<div class="overflow-hidden shadow-sm sm:rounded-lg bg-white rounded-lg p-6" x-show="activeTab === 'prescriptions'" x-transition x-cloak>
    <form action="{{ route('admin.prescriptions.update', ['id' => $prescription->id]) }}" method="POST">
        @csrf
        @method('PUT')

        <div class="max-w-md mx-auto">
          

            <div class="mb-6">
                <label for="medication" class="block mb-2 text-sm font-medium text-gray-900">Medication</label>
                <input type="text" id="medication" name="medication"
                    class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-200 focus:border-blue-300 block w-full p-2.5 font-san-serif"
                    value="{{ old('medication', $prescription->medication) }}">
                @error('medication')
                    <span class="text-red-500">{{ $message }}</span>
                @enderror
            </div>

            <div class="mb-6">
                <label for="instructions" class="block mb-2 text-sm font-medium text-gray-900">Instructions</label>
                <input type="text" id="instructions" name="instructions"
                    class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-200 focus:border-blue-300 block w-full p-2.5 font-san-serif"
                    value="{{ old('instructions', $prescription->instructions) }}">
                @error('instructions')
                    <span class="text-red-500">{{ $message }}</span>
                @enderror
            </div>

            <div class="mb-6">
                <label for="dosage" class="block mb-2 text-sm font-medium text-gray-900">Dosage</label>
                <input type="text" id="dosage" name="dosage"
                    class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-200 focus:border-blue-300 block w-full p-2.5 font-san-serif"
                    value="{{ old('dosage', $prescription->dosage) }}">
                @error('dosage')
                    <span class="text-red-500">{{ $message }}</span>
                @enderror
            </div>

            <div class="mb-6">
                <label for="frequency" class="block mb-2 text-sm font-medium text-gray-900">Frequency</label>
                <input type="text" id="frequency" name="frequency"
                    class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-200 focus:border-blue-300 block w-full p-2.5 font-san-serif"
                    value="{{ old('frequency', $prescription->frequency) }}">
                @error('frequency')
                    <span class="text-red-500">{{ $message }}</span>
                @enderror
            </div>

            <div>
                <div class="bg-white rounded-lg p-6 shadow">
                    <div class="grid w-full gap-6 md:grid-cols-2">
                        <input type="submit"
                            class="p-2 bg-green-600 text-green-100 mt-4 text-normal hover:bg-green-400 rounded w-full md:w-auto"
                            value="Update Prescription" />
                        <button
                            class="mt-2 md:mt-0 font-bold text-xl hover:text-gray-500 w-full md:w-auto"
                            @click="setActiveTab('clinical-prescriptions')">
                            <i class="fa-solid fa-arrow-left"></i>
                        </button>
                    </div>
                </div>
            </div>
        </div>
    </form>
</div>






@endsection