@extends('layouts.admin')
@section('content')
<h1>Prescription Data</h1>
<div class="relative overflow-x-auto">
    @if(count($viewData['prescriptions']) > 0)
        <table class="w-full text-sm text-left overflow-hidden">
            <thead class="text-xs text-gray-700 uppercase bg-gray-50">
                <tr>
                    <th scope="col" class="px-6 py-3">
                        User ID
                    </th>
                    <th scope="col" class="px-6 py-3">
                        Medication
                    </th>
                    <th scope="col" class="px-6 py-3">
                        Instructions
                    </th>
                    <th scope="col" class="px-6 py-3">
                        Dosage
                    </th>
                    <th scope="col" class="px-6 py-3">
                        Frequency
                    </th>
                    <th scope="col" class="px-6 py-3">
                        Edit
                    </th>
                    <th scope="col" class="px-6 py-3">
                        Delete
                    </th>
                </tr>
            </thead>
            <tbody>
                @foreach($viewData['prescriptions'] as $prescription)
                    <tr class="bg-white border-b">
                        <td class="px-6 py-4">
                            {{ optional($prescription->user)->name }}
                        </td>
                        <td class="px-6 py-4">
                            {{ $prescription->medication }}
                        </td>
                        <td class="px-6 py-4">
                            {{ $prescription->instructions }}
                        </td>
                        <td class="px-6 py-4">
                            {{ $prescription->dosage }}
                        </td>
                        <td class="px-6 py-4">
                            {{ $prescription->frequency }}
                        </td>
                        <td class="px-6 py-4">
                        <a href="{{ route('admin.prescriptions.edit', $prescription->id) }}">
                                <svg class="w-6 h-6 action-icon text-blue-500 " aria-hidden="true" xmlns="http://www.w3.org/2000/svg" fill="currentColor" viewBox="0 0 20 18">
                                        <path d="M12.687 14.408a3.01 3.01 0 0 1-1.533.821l-3.566.713a3 3 0 0 1-3.53-3.53l.713-3.566a3.01 3.01 0 0 1 .821-1.533L10.905 2H2.167A2.169 2.169 0 0 0 0 4.167v11.666A2.169 2.169 0 0 0 2.167 18h11.666A2.169 2.169 0 0 0 16 15.833V11.1l-3.313 3.308Zm5.53-9.065.546-.546a2.518 2.518 0 0 0 0-3.56 2.576 2.576 0 0 0-3.559 0l-.547.547 3.56 3.56Z"/>
                                        <path d="M13.243 3.2 7.359 9.081a.5.5 0 0 0-.136.256L6.51 12.9a.5.5 0 0 0 .59.59l3.566-.713a.5.5 0 0 0 .255-.136L16.8 6.757 13.243 3.2Z"/>
                                </svg>
                            </a>
                        </td>
                        <td class="px-6 py-4">
                            <form action="{{ route('admin.prescriptions.delete', $prescription->id) }}" method="POST" onsubmit="return confirmDelete()">
                                @csrf
                                @method('DELETE')
                                <button type="submit" class="underline bg red-600 p-2 rounded">
                                    <svg class="w-6 h-6 text-red-500 action-icon" aria-hidden="true" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 18 20">
                                        <path stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M1 5h16M7 8v8m4-8v8M7 1h4a1 1 0 0 1 1 1v3H6V2a1 1 0 0 1 1-1ZM3 5h12v13a1 1 0 0 1-1 1H4a1 1 0 0 1-1-1V5Z"/>
                                    </svg>
                                </button>
                            </form>
                        </td>
                    </tr>
                @endforeach
            </tbody>
        </table>
    @else
        <p>No prescriptions found.</p>
    @endif
    <button class="bg-green-400 text-white p-2 rounded my-4 action-button"><a href="{{ route('admin.prescriptions.create') }}">Create Prescription</a></button>
    <script src="{{asset('js/prevent-delete.js')}}"></script>
</div>






@endsection