<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <link rel="stylesheet" href="{{ asset('css/prescription.css') }}" />
        <!-- <script src="https://unpkg.com/jspdf@latest/dist/jspdf.umd.min.js"></script>    
        <script src="https://cdnjs.cloudflare.com/ajax/libs/jspdf/2.5.1/polyfills.umd.js"></script> -->
        <script src="https://rawgit.com/eKoopmans/html2pdf/master/dist/html2pdf.bundle.js"></script>

        <title>Prescription</title>
    </head>
    <body class="bg-blue-50 m-20">
        <img src="{{ asset('images/sasa doctor logo.png') }}" alt="logo" />
        <div class="details-container">
            <div class="contacts-container">
                <p>Name: {{ $prescription->user->name }}</p>
                <p>Phone: {{ $prescription->user->phone }}</p>
                <p>Email: {{ $prescription->user->email }}</p>
            </div>

            <div class="prescription-container">
                <p>Serial: {{ $prescription->id }}</p>
                <p>Medication: {{ $prescription->medication }}</p>
                <p>Dosage: {{ $prescription->dosage }}</p>
                <p>Frequency: {{ $prescription->frequency }}</p>
                <p>Instructions: {{ $prescription->instructions }}</p>
            </div>
        </div>
        <button onclick="downloadAsPDF()">Download as PDF</button>


        <script>
            
            function downloadAsPDF() {
            var element = document.body; // Choose the element you want to download as PDF

            html2pdf(element, {
                margin: 10,
                filename: 'downloaded-document.pdf',
                image: { type: 'jpeg', quality: 0.98 },
                html2canvas: { scale: 2 },
                jsPDF: { unit: 'mm', format: 'a4', orientation: 'portrait' }
            });
            
        }
</script>

</html>
