@extends('layouts.main')
@section('content')

<title>goWilde | Home</title>
<!-- Fonts -->
<link rel="preconnect" href="https://fonts.bunny.net">
<link href="https://fonts.bunny.net/css?family=figtree:400,600&display=swap" rel="preload" />
<link href="https://fonts.bunny.net/css?family=albert-sans:600,700,800,900" rel="preload" />
<link rel="stylesheet" href="{{ asset('css/home.css') }}">
</head>

<body class="antialiased">
    <section class="hero-section">
        <div class="hero-content">
            <div class="hero-head">
                <h2>Welcome to <span>goWilde</span></h2>
            </div>
            <div class="hero-paragraph">
                <p> the number one distributor of PrEP in Kenya. <br> We get PrEP delivered to your doorstep. </p>
            </div>
            <div class="hero-cta-container">
                <a href="{{ url('/eligibility-form') }}" class="hero-cta">Get Started</a>
            </div>
        </div>
        <div class="hero-img">
            <img src="{{ asset('images/medic delivery.png') }}" alt="prep delivery">
        </div>
    </section>
    <section class="about-section">
        <div class="about-div">
            <img src="{{ asset('images/delivery.png') }}" alt="Delivery icon">
            <p>goWilde allows you to order PrEP hassle free and <br> have it delivered to Your doorstep</p>
        </div>
        <div class="about-div">
            <img src="{{ asset('images/savings.png') }}" alt="Savings icon">
            <p>Lorem ipsum dolor sit amet, consectetur adipiscing <br>elit, sed do eiusmod tempor</p>
        </div>
        <div class="about-div">
            <img src="{{ asset('images/doctor.png') }}" alt="Doctor icon">
            <p>Lorem ipsum dolor sit amet, consectetur adipiscing <br>elit, sed do eiusmod tempor</p>
        </div>
    </section>
    <section class="get-prep">
        <p>Do you qualify for PrEP? Fill ou this <a href="{{ url('/eligibility-form') }}">form</a> to find out whether you <br> qualify for PrEP</p>
    </section>
    <section class="what-is-prep">
        <div class="what-is-prep-img">
            <img src="{{ asset('images/blue pill.png') }}" alt="Savings icon">
        </div>
        <div class="what-is-prep-content">
            <h2>What is Prep</h2>
            <p>Good question. PrEP is short for Pre-Exposure Prophylaxis. <br>Essentially, PrEP is a pill that you take once a day,<br> everyday, that reduces your risk of acquiring HIV by up to <br> 99%. Our team will help you determine if PrEP is for you. </p>
        </div>
    </section>
    <section class="faq-section">
        <div class="faqs">
            <h2>Frequently Asked Questions</h2>
            <div class="accordion">
                <div class="accordion-item">
                    <div class="accordion-item-header">How does goWilde Work <i class="fa-solid fa-plus"></i></div>
                    <div class="accordion-item-content">
                        <p>How does goWilde Work</p>
                    </div>
                </div>
                <div class="accordion-item">
                    <div class="accordion-item-header">How long do deliveries take <i class="fa-solid fa-plus"></i></div>
                    <div class="accordion-item-content">
                        <p>How long do deliveries take.</p>
                    </div>
                </div>
                <div class="accordion-item">
                    <div class="accordion-item-header">How long does it take for PrEP to kick in <i class="fa-solid fa-plus"></i></div>
                    <div class="accordion-item-content">
                        <p>How long does it take for PrEP to kick in.</p>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- =====toast===== -->
    <div id="toast" class="toast">
    <span class="toast-message">Quick install goWilde</span>
    <button class="install-button" id="installButton">Install</button>
    <button class="close-button" onclick="closeToast()">Close</button>
</div>



     <!-- =====end toast===== -->

    <script>
        const accordionItems = document.querySelectorAll('.accordion-item');
        accordionItems.forEach((item) => {
            const header = item.querySelector('.accordion-item-header');
            header.addEventListener('click', () => {
                item.classList.toggle('active');
            });
        });
    </script>
    <script src="{{ asset('js/pwa-installation.js') }}">

    </script>

@endsection
