
<?php $__env->startSection('content'); ?>



<div class=" shadow-sm sm:rounded-lg">


    <form action="<?php echo e(route('admin.appointments.store')); ?>" method="POST">
        <?php echo csrf_field(); ?>
        <?php echo method_field('POST'); ?>

        <?php echo $__env->make('partials._user-select', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <div class="relative max-w-sm">
            <!-- Input for appointment date -->
            <label for="inputdate" class="font-bold mb-1 text-gray-700 block">Select appointment date</label>
            <input type="date" class="bg-gray-50 border border-gray-300 text-gray-900 text-normal font-semibold rounded-lg focus:ring-blue-100 focus:border-blue-100 block w-full ps-10 p-2.5 dark:bg-white dark:border-gray-100 dark:placeholder-gray-400"
                name="input_date" id="inputdate"  required />
        </div>


        <div class="mt-5">
            <div class="bg-white rounded-lg p-6 shadow">
                <label for="appointmentTime" class="font-bold mb-1 text-gray-700 block">Select Appointment Time</label>
                <h3 class="mb-5 text-sm font-small text-white">Please select a preferred time for your appointment:</h3>

                <!-- Radio input options -->
                <div class="grid w-full gap-6 md:grid-cols-3">
                    <?php $__currentLoopData = ['8:00 AM', '10:00 AM', '12:00 PM', '2:00 PM', '4:00 PM']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $time): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div>
                            <input type="radio" id="time-<?php echo e(str_replace(':', '', $time)); ?>"
                                name="radio_selection" value="<?php echo e($time); ?>" class="hidden peer"  required />
                            <label for="time-<?php echo e(str_replace(':', '', $time)); ?>"
                                class="inline-flex items-center justify-between w-full p-5 text-gray-500 bg-white border border-gray-200 rounded-lg cursor-pointer hover:text-gray-600 hover:bg-gray-100 checked:text-blue-500 peer-checked:border-blue-600 peer-checked:text-blue-600 peer-checked:bg-blue-100 hover:text-gray-600 hover:bg-gray-100">
                                <div class="block text-lg font-semibold"><?php echo e($time); ?></div>
                            </label>
                        </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </div>
            </div>
        </div>

        <!-- Display validation errors -->
        <?php if($errors->any()): ?>
            <div class="text-red-500 bg-red-200 rounded p-5 m-5">
                <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <p><?php echo e($error); ?></p>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </div>
        <?php endif; ?>

        <div class="flex justify-between">
            <!-- Submit button and back button -->
            <input type="submit" class="p-2 bg-green-700 text-green-100 mt-4 text-normal hover:bg-green-800 rounded w-lg" value="Create Appointment" />
            <button class="mr-5 font-bold text-xl hover:text-gray-500">
                <i class="fa-solid fa-arrow-left"></i>
            </button>
        </div>
    </form>
</div>


<?php $__env->stopSection(); ?>
<?php echo $__env->make("layouts.admin", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\Users\ADMIN\Documents\HTML STUFFS\Laravel\goWilde\go-wilde\resources\views/admin/appointments/create.blade.php ENDPATH**/ ?>