<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <link
            rel="icon"
            type="image/x-icon"
            href="<?php echo e(asset('images/favicon-modified.png')); ?>"
        />
        <link rel="manifest" href="<?php echo e(asset('manifest.json')); ?>"/>
        <link rel="preconnect" href="https://fonts.bunny.net" />
        <link
            href="https://fonts.bunny.net/css?family=figtree:400,600&display=swap"
            rel="stylesheet"
        />
        <script src="https://cdn.tailwindcss.com"></script>
        <?php echo app('Illuminate\Foundation\Vite')(['resources/css/app.css', 'resources/js/app.js']); ?>
        <title>Check Your Eligibility</title>
    </head>

    <style>
        [x-cloak] {
            display: none !important;
        }
    </style>

    <div
        x-data="{ openModal: false }"
        class="font-sans antialiased bg-gray-100"
    >
   
        <!-- <div
            x-show="openModal"
            x-transition.duration.500ms
            x-cloak
            @click.away="openModal = false"
            @keydown.escape="openModal = false"
            class="fixed inset-0 flex items-center justify-center bg-red-500 bg-opacity-75"
        >
            <div class="bg-white p-8 max-w-md rounded shadow-lg">
               
                <h2 class="text-2xl font-bold mb-4">Title</h2>
                <p class="text-gray-700">This is all the content here</p>

                <div>
                    <button
                        @click="openModal = false"
                        class="mt-4 bg-gray-300 hover:bg-red-400 text-gray-800 font-bold py-2 px-4 rounded"
                    >
                        Close Modal
                    </button>

                    <a
                        href="#"
                        @click.prevent="openModal = false"
                        class="mt-4 ml-4 bg-gray-300 hover:bg-blue-400 text-gray-800 font-bold py-2 px-4 rounded"
                    >
                        An extra Button
                    </a>
                </div>
            </div>
        </div>
    </div> -->

    <body class="antialiased sans-serif bg-gray-100">
        <div x-data="app()" x-cloak>
            <div class="max-w-3xl mx-auto px-4 py-10">
                <div x-show.transition="step === 'complete'">
                    <div
                        class="bg-white rounded-lg p-10 flex items-center shadow justify-between"
                    >
                        <div>
                            <svg
                                class="mb-4 h-20 w-20 text-green-500 mx-auto"
                                viewBox="0 0 20 20"
                                fill="currentColor"
                            >
                                <path
                                    fill-rule="evenodd"
                                    d="M10 18a8 8 0 100-16 8 8 0 000 16zm3.707-9.293a1 1 0 00-1.414-1.414L9 10.586 7.707 9.293a1 1 0 00-1.414 1.414l2 2a1 1 0 001.414 0l4-4z"
                                    clip-rule="evenodd"
                                />
                            </svg>

                            <h2
                                class="text-2xl mb-4 text-gray-800 text-center font-bold"
                            >
                                Finished Processing
                            </h2>

                            <div class="text-gray-600 mb-8">
                                Thank you. We have finished processing your
                                responses You are:  
                                <span x-text="eligibilityResult" x-bind:class="{
                                        'text-green-500': eligibilityResult === 'highly eligible',
                                        'text-yellow-500': eligibilityResult === 'slightly eligible',
                                        'text-red-500': eligibilityResult === 'not eligible'
                                        }" class="text-xl font-semibold">
                                </span>

                            </div>


                                <div class="flex justify-center space-x-4">
                                    <button
                                        @click="step = 1"
                                        class="w-40 block focus:outline-none py-2 px-5 rounded-lg shadow-sm text-center text-gray-600 bg-white hover:bg-gray-100 font-medium border"
                                    >
                                        Edit Responses
                                    </button>

                                    <a href="<?php echo e(route('dashboard')); ?>" class=" block focus:outline-none py-2 px-5 rounded-lg shadow-sm text-center text-white bg-blue-500 hover:bg-blue-600 font-medium border" x-show="eligibilityResult !== 'not eligible'">
                                        Go to Dashboard
                                    </a>
                                </div>

                        </div>
                    </div>
                </div>

                <div x-show.transition="step != 'complete'">
                    <div class="border-b-2 py-4">
                        <div
                            class="uppercase tracking-wide text-xs font-bold text-gray-500 mb-1 leading-tight"
                            x-text="`Step: ${step} of 4`"
                        ></div>
                        <div
                            class="flex flex-col md:flex-row md:items-center md:justify-between"
                        >
                            <div class="flex-1">
                                <div x-show="step === 1">
                                    <div
                                        class="text-lg font-bold text-gray-700 leading-tight"
                                    >
                                        HIV Status
                                    </div>
                                </div>

                                <div x-show="step === 2">
                                    <div
                                        class="text-lg font-bold text-gray-700 leading-tight"
                                    >
                                        Sexual History
                                    </div>
                                </div>

                                <div x-show="step === 3">
                                    <div
                                        class="text-lg font-bold text-gray-700 leading-tight"
                                    >
                                    Previous Medical Conditions
                                    </div>
                                </div>
                                <div x-show="step === 4">
                                    <div
                                        class="text-lg font-bold text-gray-700 leading-tight"
                                    > 
                                        Preferred Contact details
                                    </div>
                                </div>


                            </div>

                            <div class="flex items-center md:w-64">
                                <div class="w-full bg-white rounded-full mr-2">
                                    <div
                                        class="rounded-full bg-green-500 text-xs leading-none h-2 text-center text-white"
                                        :style="'width: '+ parseInt(step / 4 * 100) +'%'"
                                    ></div>
                                </div>
                                <div
                                    class="text-xs w-10 text-gray-600"
                                    x-text="parseInt(step / 4 * 100) +'%'"
                                ></div>
                            </div>
                        </div>
                    </div>

                    <div class="py-10" x-transition>


                                                <!-- =============== HIV Status ============== -->
                        <div x-show.transition.in="step === 1">
                            <div class="mb-5 text-center">
                                <div class="mt-5">
                                    <div class="bg-white rounded-lg p-6 shadow">
                                        <label
                                            for="hivCondition"
                                            class="font-bold mb-1 text-gray-700 block"
                                            >Have you been Diagnosed with HIV
                                            before?</label
                                        >

                                        <div
                                            class="flex justify-between text-red-500 bg-red-200 rounded items-space mb-5 py-2"
                                            x-show="openModal"
                                            x-transition.duration.300ms
                                        >
                                            <h3
                                                class="text-base font-small ml-5"
                                            >
                                                PrEP is not available if you
                                                have already been diagnosed with
                                                HIV
                                            </h3>
                                            <h2
                                                class="mr-5 rounded px-1.5 hover:bg-red-300"
                                                x-on:click="openModal = false"
                                            >
                                                X
                                            </h2>
                                        </div>

                                        <div
                                            class="grid w-full gap-6 md:grid-cols-1"
                                        >
                                            <div>
                                                <input
                                                    type="radio"
                                                    id="hivPositive"
                                                    name="hivCondition"
                                                    value="Yes"
                                                    class="hidden peer"
                                                    x-model="selectedHivCondition"
                                                    required
                                                    x-on:click="hivPositiveYes"
                                                />
                                                <label
                                                    for="hivPositive"
                                                    class="inline-flex items-center justify-between w-full p-5 text-gray-500 bg-white border border-gray-200 rounded-lg cursor-pointer hover:text-gray-600 hover:bg-gray-100 checked:text-blue-500 peer-checked:border-blue-600 peer-checked:text-blue-600 peer-checked:bg-blue-100 hover:text-gray-600 hover:bg-gray-100"
                                                >
                                                    <div
                                                        class="block text-lg font-semibold"
                                                    >
                                                        Yes
                                                    </div>
                                                </label>
                                            </div>
                                            <div>
                                                <input
                                                    type="radio"
                                                    id="hivNegative"
                                                    name="hivCondition"
                                                    value="No"
                                                    class="hidden peer"
                                                    x-model="selectedHivCondition"
                                                    x-on:click="hivPositiveNo"
                                                />
                                                <label
                                                    for="hivNegative"
                                                    class="inline-flex items-center justify-between w-full p-5 text-gray-500 bg-white border border-gray-200 rounded-lg cursor-pointer hover:text-gray-600 hover:bg-gray-100 checked:text-blue-500 peer-checked:border-blue-600 peer-checked:text-blue-600 peer-checked:bg-blue-100 hover:text-gray-600 hover:bg-gray-100"
                                                >
                                                    <div
                                                        class="block text-lg font-semibold"
                                                    >
                                                        No
                                                    </div>
                                                </label>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                          
                            </div>
                        </div>


            <!-- ================Sexual History============== -->

            <div x-show.transition.in="step === 2">
    <div class="mb-5 text-center">

        <div class="mt-5">
            <div class="bg-white rounded-lg p-6 shadow">
                <label for="penetrativeSex" class="font-bold mb-1 text-gray-700 block">
                    Have you had penetrative sex in the past 6 months
                </label>
                <h3 class="mb-5 text-sm font-small text-gray-500">Anal or Vaginal</h3>
                <div class="grid w-full gap-6 md:grid-cols-2">
                    <div>
                        <input type="radio" id="penetrativeSexYes" name="penetrativeSexGroup1" value="Yes"
                               class="hidden peer" x-model="selectedPenetrativeSex1" required/>
                        <label for="penetrativeSexYes"
                               class="inline-flex items-center justify-between w-full p-5 text-gray-500 bg-white border border-gray-200 rounded-lg cursor-pointer hover:text-gray-600 hover:bg-gray-100 checked:text-blue-500 peer-checked:border-blue-600 peer-checked:text-blue-600 peer-checked:bg-blue-100 hover:text-gray-600 hover:bg-gray-100">
                            <div class="block text-lg font-semibold">
                                Yes
                            </div>
                        </label>
                    </div>
                    <div>
                        <input type="radio" id="penetrativeSexNo" name="penetrativeSexGroup1" value="No"
                               class="hidden peer" x-model="selectedPenetrativeSex1"/>
                        <label for="penetrativeSexNo"
                               class="inline-flex items-center justify-between w-full p-5 text-gray-500 bg-white border border-gray-200 rounded-lg cursor-pointer hover:text-gray-600 hover:bg-gray-100 checked:text-blue-500 peer-checked:border-blue-600 peer-checked:text-blue-600 peer-checked:bg-blue-100 hover:text-gray-600 hover:bg-gray-100">
                            <div class="block text-lg font-semibold">
                                No
                            </div>
                        </label>
                    </div>
                </div>
            </div>
        </div>

        <div class="mt-5">
            <div class="bg-white rounded-lg p-6 shadow">
                <label for="penetrativeSex" class="font-bold mb-1 text-gray-700 block">
                    How many partners have you had penetrative sex in the past 6 months
                </label>
                <h3 class="mb-5 text-sm font-small text-gray-500">In the past 6 months</h3>
                <div class="grid w-full gap-6 md:grid-cols-2">
                    <div>
                        <input type="radio" id="penetrativeSex0-5" name="penetrativeSexGroup2" value="0-5"
                               class="hidden peer" x-model="selectedPenetrativeSex2" required/>
                        <label for="penetrativeSex0-5"
                               class="inline-flex items-center justify-between w-full p-5 text-gray-500 bg-white border border-gray-200 rounded-lg cursor-pointer hover:text-gray-600 hover:bg-gray-100 checked:text-blue-500 peer-checked:border-blue-600 peer-checked:text-blue-600 peer-checked:bg-blue-100 hover:text-gray-600 hover:bg-gray-100">
                            <div class="block text-lg font-semibold">
                                0-5
                            </div>
                        </label>
                    </div>
                    <div>
                        <input type="radio" id="penetrativeSex6-10" name="penetrativeSexGroup2" value="6-10"
                               class="hidden peer" x-model="selectedPenetrativeSex2"/>
                        <label for="penetrativeSex6-10"
                               class="inline-flex items-center justify-between w-full p-5 text-gray-500 bg-white border border-gray-200 rounded-lg cursor-pointer hover:text-gray-600 hover:bg-gray-100 checked:text-blue-500 peer-checked:border-blue-600 peer-checked:text-blue-600 peer-checked:bg-blue-100 hover:text-gray-600 hover:bg-gray-100">
                            <div class="block text-lg font-semibold">
                                6-10
                            </div>
                        </label>
                    </div>

                    <div>
                        <input type="radio" id="penetrativeSex10+" name="penetrativeSexGroup2" value="10+"
                               class="hidden peer" x-model="selectedPenetrativeSex2"/>
                        <label for="penetrativeSex10+"
                               class="inline-flex items-center justify-between w-full p-5 text-gray-500 bg-white border border-gray-200 rounded-lg cursor-pointer hover:text-gray-600 hover:bg-gray-100 checked:text-blue-500 peer-checked:border-blue-600 peer-checked:text-blue-600 peer-checked:bg-blue-100 hover:text-gray-600 hover:bg-gray-100">
                            <div class="block text-lg font-semibold">
                                10+
                            </div>
                        </label>
                    </div>
                </div>
            </div>
        </div>

        <div class="mt-5">
            <div class="bg-white rounded-lg p-6 shadow">
                <label for="penetrativeSex" class="font-bold mb-1 text-gray-700 block">
                    How many times have you had condomless penetrative sex in the past 6 months
                </label>

                <h3 class="mb-5 text-sm font-small text-gray-500">in the past 6 months</h3>
                <div class="grid w-full gap-6 md:grid-cols-2">
                    <div>
                        <input type="radio" id="condomlessSex0" name="condomlessSex" value="0"
                               class="hidden peer" x-model="selectedCondomlessSex" required/>
                        <label for="condomlessSex0"
                               class="inline-flex items-center justify-between w-full p-5 text-gray-500 bg-white border border-gray-200 rounded-lg cursor-pointer hover:text-gray-600 hover:bg-gray-100 checked:text-blue-500 peer-checked:border-blue-600 peer-checked:text-blue-600 peer-checked:bg-blue-100 hover:text-gray-600 hover:bg-gray-100">
                            <div class="block text-lg font-semibold">
                                0
                            </div>
                        </label>
                    </div>
                    <div>
                        <input type="radio" id="condomlessSex1+" name="condomlessSex" value="1+"
                               class="hidden peer" x-model="selectedCondomlessSex"/>
                        <label for="condomlessSex1+"
                               class="inline-flex items-center justify-between w-full p-5 text-gray-500 bg-white border border-gray-200 rounded-lg cursor-pointer hover:text-gray-600 hover:bg-gray-100 checked:text-blue-500 peer-checked:border-blue-600 peer-checked:text-blue-600 peer-checked:bg-blue-100 hover:text-gray-600 hover:bg-gray-100">
                            <div class="block text-lg font-semibold">
                                1+
                            </div>
                        </label>
                    </div>
                </div>
            </div>
        </div>

    </div>
</div>




                             <!-- =============== Previous medical conditions ============== -->

                             <div x-show.transition.in="step === 3">
    <div class="mt-5">
        <div class="bg-white rounded-lg p-6 shadow">
            <label for="medicalCondition" class="font-bold mb-1 text-gray-700 block">
                Been diagnosed with any of the following
            </label>

            <h3 class="mb-5 text-sm font-small text-white">
                Please select any condition you've been diagnosed with:
            </h3>
            <div class="grid w-full gap-6 md:grid-cols-2">
                <div>
                    <input
                        type="radio"
                        id="hepatitis-b"
                        name="medicalCondition"
                        value="Hepatitis B"
                        class="hidden peer"
                        x-model="selectedMedicalCondition"
                        required
                    />
                    <label
                        for="hepatitis-b"
                        class="inline-flex items-center justify-between w-full p-5 text-gray-500 bg-white border border-gray-200 rounded-lg cursor-pointer hover:text-gray-600 hover:bg-gray-100 checked:text-blue-500 peer-checked:border-blue-600 peer-checked:text-blue-600 peer-checked:bg-blue-100 hover:text-gray-600 hover:bg-gray-100"
                    >
                        <div class="block text-lg font-semibold">
                            Hepatitis B
                        </div>
                    </label>
                </div>
                <div>
                    <input
                        type="radio"
                        id="hepatitis-c"
                        name="medicalCondition"
                        value="Hepatitis C"
                        class="hidden peer"
                        x-model="selectedMedicalCondition"
                    />
                    <label
                        for="hepatitis-c"
                        class="inline-flex items-center justify-between w-full p-5 text-gray-500 bg-white border border-gray-200 rounded-lg cursor-pointer hover:text-gray-600 hover:bg-gray-100 checked:text-blue-500 peer-checked:border-blue-600 peer-checked:text-blue-600 peer-checked:bg-blue-100 hover:text-gray-600 hover:bg-gray-100"
                    >
                        <div class="block text-lg font-semibold">
                            Hepatitis C
                        </div>
                    </label>
                </div>
                <div>
                    <input
                        type="radio"
                        id="diabetes"
                        name="medicalCondition"
                        value="Diabetes"
                        class="hidden peer"
                        x-model="selectedMedicalCondition"
                    />
                    <label
                        for="diabetes"
                        class="inline-flex items-center justify-between w-full p-5 text-gray-500 bg-white border border-gray-200 rounded-lg cursor-pointer hover:text-gray-600 hover:bg-gray-100 checked:text-blue-500 peer-checked:border-blue-600 peer-checked:text-blue-600 peer-checked:bg-blue-100 hover:text-gray-600 hover:bg-gray-100"
                    >
                        <div class="block text-lg font-semibold">
                            Diabetes
                        </div>
                    </label>
                </div>
                <div>
                    <input
                        type="radio"
                        id="liver-disease"
                        name="medicalCondition"
                        value="Liver Disease"
                        class="hidden peer"
                        x-model="selectedMedicalCondition"
                    />
                    <label
                        for="liver-disease"
                        class="inline-flex items-center justify-between w-full p-5 text-gray-500 bg-white border border-gray-200 rounded-lg cursor-pointer hover:text-gray-600 hover:bg-gray-100 checked:text-blue-500 peer-checked:border-blue-600 peer-checked:text-blue-600 peer-checked:bg-blue-100 hover:text-gray-600 hover:bg-gray-100"
                    >
                        <div class="block text-lg font-semibold">
                            Liver Disease
                        </div>
                    </label>
                </div>
                <div>
                    <input
                        type="radio"
                        id="kidney-disease"
                        name="medicalCondition"
                        value="Kidney Disease"
                        class="hidden peer"
                        x-model="selectedMedicalCondition"
                    />
                    <label
                        for="kidney-disease"
                        class="inline-flex items-center justify-between w-full p-5 text-gray-500 bg-white border border-gray-200 rounded-lg cursor-pointer hover:text-gray-600 hover:bg-gray-100 checked:text-blue-500 peer-checked:border-blue-600 peer-checked:text-blue-600 peer-checked:bg-blue-100 hover:text-gray-600 hover:bg-gray-100"
                    >
                        <div class="block text-lg font-semibold">
                            Kidney Disease
                        </div>
                    </label>
                </div>
            </div>
        </div>
    </div>
    <div class="mt-5">
        <div class="bg-white rounded-lg p-6 shadow">
            <label for="medication" class="font-bold mb-1 text-gray-700 block">
                Do you take any medications regularly
            </label>

            <div class="grid w-full gap-6 md:grid-cols-2">
                <div>
                    <input
                        type="radio"
                        id="medicationYes"
                        name="medication"
                        value="Yes"
                        class="hidden peer"
                        x-model="selectedMedication"
                        required
                    />
                    <label
                        for="medicationYes"
                        class="inline-flex items-center justify-between w-full p-5 text-gray-500 bg-white border border-gray-200 rounded-lg cursor-pointer hover:text-gray-600 hover:bg-gray-100 checked:text-blue-500 peer-checked:border-blue-600 peer-checked:text-blue-600 peer-checked:bg-blue-100 hover:text-gray-600 hover:bg-gray-100"
                    >
                        <div class="block text-lg font-semibold">
                            Yes
                        </div>
                    </label>
                </div>
                <div>
                    <input
                        type="radio"
                        id="medicationNo"
                        name="medication"
                        value="No"
                        class="hidden peer"
                        x-model="selectedMedication"
                    />
                    <label
                        for="medicationNo"
                        class="inline-flex items-center justify-between w-full p-5 text-gray-500 bg-white border border-gray-200 rounded-lg cursor-pointer hover:text-gray-600 hover:bg-gray-100 checked:text-blue-500 peer-checked:border-blue-600 peer-checked:text-blue-600 peer-checked:bg-blue-100 hover:text-gray-600 hover:bg-gray-100"
                    >
                        <div class="block text-lg font-semibold">
                            No
                        </div>
                    </label>
                </div>
            </div>
        </div>
    </div>
    <div class="mt-5">
        <div class="bg-white rounded-lg p-6 shadow">
            <label for="drugAllergies" class="font-bold mb-1 text-gray-700 block">
                Do you have any drug allergies
            </label>

            <div class="grid w-full gap-6 md:grid-cols-2">
                <div>
                    <input
                        type="radio"
                        id="allergiesYes"
                        name="drugAllergies"
                        value="Yes"
                        class="hidden peer"
                        x-model="selectedDrugAllergies"
                        required
                    />
                    <label
                        for="allergiesYes"
                        class="inline-flex items-center justify-between w-full p-5 text-gray-500 bg-white border border-gray-200 rounded-lg cursor-pointer hover:text-gray-600 hover:bg-gray-100 checked:text-blue-500 peer-checked:border-blue-600 peer-checked:text-blue-600 peer-checked:bg-blue-100 hover:text-gray-600 hover:bg-gray-100"
                    >
                        <div class="block text-lg font-semibold">
                            Yes
                        </div>
                    </label>
                </div>
                <div>
                    <input
                        type="radio"
                        id="allergiesNo"
                        name="drugAllergies"
                        value="No"
                        class="hidden peer"
                        x-model="selectedDrugAllergies"
                    />
                    <label
                        for="allergiesNo"
                        class="inline-flex items-center justify-between w-full p-5 text-gray-500 bg-white border border-gray-200 rounded-lg cursor-pointer hover:text-gray-600 hover:bg-gray-100 checked:text-blue-500 peer-checked:border-blue-600 peer-checked:text-blue-600 peer-checked:bg-blue-100 hover:text-gray-600 hover:bg-gray-100"
                    >
                        <div class="block text-lg font-semibold">
                            No
                        </div>
                    </label>
                </div>
            </div>
        </div>
    </div>

    <div class="mt-5">
        <div class="bg-white rounded-lg p-6 shadow">
            <label for="medicalConditions" class="font-bold mb-1 text-gray-700 block">
                Do you have any medical conditions or anything we should know about your medical history
            </label>

            <div class="grid w-full gap-6 md:grid-cols-2">
                <div>
                    <input
                        type="radio"
                        id="medicalConditionsYes"
                        name="medicalConditions"
                        value="Yes"
                        class="hidden peer"
                        x-model="selectedMedicalCondition"
                        required
                    />
                    <label
                        for="medicalConditionsYes"
                        class="inline-flex items-center justify-between w-full p-5 text-gray-500 bg-white border border-gray-200 rounded-lg cursor-pointer hover:text-gray-600 hover:bg-gray-100 checked:text-blue-500 peer-checked:border-blue-600 peer-checked:text-blue-600 peer-checked:bg-blue-100 hover:text-gray-600 hover:bg-gray-100"
                    >
                        <div class="block text-lg font-semibold">
                            Yes
                        </div>
                    </label>
                </div>
                <div>
                    <input
                        type="radio"
                        id="medicalConditionsNo"
                        name="medicalConditions"
                        value="No"
                        class="hidden peer"
                        x-model="selectedMedicalCondition"
                    />
                    <label
                        for="medicalConditionsNo"
                        class="inline-flex items-center justify-between w-full p-5 text-gray-500 bg-white border border-gray-200 rounded-lg cursor-pointer hover:text-gray-600 hover:bg-gray-100 checked:text-blue-500 peer-checked:border-blue-600 peer-checked:text-blue-600 peer-checked:bg-blue-100 hover:text-gray-600 hover:bg-gray-100"
                    >
                        <div class="block text-lg font-semibold">
                            No
                        </div>
                    </label>
                </div>
            </div>
        </div>
    </div>
</div>


                       
                              <!-- =============== Contact information conditions ============== -->

                        <div x-show.transition.in="step === 4">
                            <div class="mt-5">
                                <div class="bg-white rounded-lg p-6 shadow">
                                    <label
                                        for="contactMethod"
                                        class="font-bold mb-1 text-gray-700 block"
                                        >How would You like Your
                                        Consultation</label
                                    >

                                    <h3
                                        class="mb-5 text-sm font-small text-white"
                                    >
                                        How much do you expect to use each
                                        month?
                                    </h3>
                                    <div
                                        class="grid w-full gap-6 md:grid-cols-1"
                                    >
                                        <div>
                                            <input
                                                type="radio"
                                                id="phoneDoctor"
                                                name="contactMethod"
                                                value="Phone a doctor"
                                                class="hidden peer"
                                                x-model="selectedContactMethod"
                                                required
                                            />
                                            <label
                                                for="phoneDoctor"
                                                class="inline-flex items-center justify-between w-full p-5 text-gray-500 bg-white border border-gray-200 rounded-lg cursor-pointer hover:text-gray-600 hover:bg-gray-100 checked:text-blue-500 peer-checked:border-blue-600 peer-checked:text-blue-600 peer-checked:bg-blue-100 hover:text-gray-600 hover:bg-gray-100"
                                            >
                                                <div
                                                    class="block text-lg font-semibold"
                                                >
                                                    Phonecall
                                                </div>
                                            </label>
                                        </div>
                                        <div>
                                            <input
                                                type="radio"
                                                id="formSubmission"
                                                name="contactMethod"
                                                value="Through this form"
                                                class="hidden peer"
                                                x-model="selectedContactMethod"
                                            />
                                            <label
                                                for="formSubmission"
                                                class="inline-flex items-center justify-between w-full p-5 text-gray-500 bg-white border border-gray-200 rounded-lg cursor-pointer hover:text-gray-600 hover:bg-gray-100 checked:text-blue-500 peer-checked:border-blue-600 peer-checked:text-blue-600 peer-checked:bg-blue-100 hover:text-gray-600 hover:bg-gray-100"
                                            >
                                                <div
                                                    class="block text-lg font-semibold"
                                                >
                                                    Through a form
                                                </div>
                                            </label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div
                        class="fixed bottom-0 left-0 right-0 py-5 bg-white shadow-md"
                        x-show="step != 'complete'"
                        x-transition
                    >
                        <div class="max-w-3xl mx-auto px-4">
                            <div class="flex justify-between">
                                <div class="w-1/2">
                                    <button
                                        x-show="step > 1"
                                        @click="step--"
                                        class="w-32 focus:outline-none py-2 px-5 rounded-lg shadow-sm text-center text-gray-600 bg-white hover:bg-gray-100 font-medium border"
                                    >
                                        Previous
                                    </button>
                                </div>

                                <div class="w-1/2 text-right">
                                    <button
                                        x-show="step < 4 && hivNegative"
                                        x-transition.duration.300ms
                                        @click="step++"
                                        class="w-32 focus:outline-none border border-transparent py-2 px-5 rounded-lg shadow-sm text-center text-white bg-blue-500 hover:bg-blue-600 font-medium"
                                    >
                                        Next
                                    </button>

                                    <button
                                        @click='completeButton'
                                        x-show="step === 4"
                                        class="w-32 focus:outline-none border border-transparent py-2 px-5 rounded-lg shadow-sm text-center text-white bg-blue-500 hover:bg-blue-600 font-medium"
                                    >
                                        Complete
                                    </button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

<script>
    function app() {
        return {
            step: 1,
            selectedHivCondition: '',
            selectedPenetrativeSex1: '',
            selectedMedicalCondition: '',
            selectedContactMethod: '',
            selectedMedication: '',
            selectedDrugAllergies: '',
            eligibilityResult: '',
            selectedPenetrativeSex2: '',
            selectedCondomlessSex: '',
            hivNegative: false,
            openModal: false,
            hivPositiveYes() {
                this.openModal = true;
                this.hivNegative = false;
            },
            hivPositiveNo() {
                this.openModal = false;
                this.hivNegative = true;
            },
            eligibilityResultGenerator() {
                this.result = 0;

                if (this.selectedPenetrativeSex2 === '0-5') {
                    this.result += 1;
                } else if (this.selectedPenetrativeSex2 === '6-10') {
                    this.result += 2;
                } else if (this.selectedPenetrativeSex2 === '10+') {
                    this.result += 3;
                } else {
                    this.result += 1;
                }

                if (this.selectedCondomlessSex === '0') {
                    this.result += 0;
                } else if (this.selectedCondomlessSex === '1+') {
                    this.result += 2;
                } else {
                    this.result += 1;
                }

                if (this.selectedMedicalCondition === 'kidney-disease') {
                    this.result -= 10;
                } else {
                    this.result += 1;
                }

                if (this.selectedMedication === 'Yes') {
                    this.result += 2;
                } else {
                    this.result -= 1;
                }

                if (this.selectedDrugAllergies === 'Yes') {
                    this.result -= 10;
                } else {
                    this.result += 1;
                }

                if (this.selectedMedicalCondition === 'Yes') {
                    this.result -= 5;
                } else if (this.selectedCondomlessSex === 'No') {
                    this.result += 1;
                }

                if (this.result < 1) {
                    this.eligibilityResult = 'not eligible';
                } else if (this.result > 1 && this.result <= 5) {
                    this.eligibilityResult = 'slightly eligible';
                } else if (this.result > 5) {
                    this.eligibilityResult = 'highly eligible';
                }
            },
            completeButton(){
                this.eligibilityResultGenerator();
                this.step = 'complete';
               // @click="step = 'complete'"
            },
        }
    }
</script>



                
            <script src="<?php echo e(asset('js/service-worker-register.js')); ?>"></script>
        </div>
    </body>
</html>
<?php /**PATH C:\Users\ADMIN\Documents\HTML STUFFS\Laravel\goWilde\go-wilde\resources\views/eligibilityform.blade.php ENDPATH**/ ?>